LINUX.ORG.RU
ФорумJob

Обновление SSH

 


0

2
cat /etc/debian_version
8.11

uname -a
3.16.0-7-amd64 #1 SMP Debian 3.16.59-1 (2018-10-03) x86_64 GNU/Linux

Есть задача обновить ssh, поскольку стоят такие версии на данный момент, но при подключении к тому же debian 11 посредством PHP жалуется на алгоритмы шифрования. В итоге есть подключение по ssh только к старым версиям.

Обновлять всю систему не подходит. Нужно решить именно этот момент. Править конфиги на vds которые пытаются подключиться тож не вариант, поскольку это сторонние люди



Последнее исправление: User01 (всего исправлений: 2)

В итоге есть подключение по ssh только к старым версиям.

А всякие ключи по типу:

ssh -c aes128-cbc -oHostKeyAlgorithms=+ssh-dss -oKexAlgorithms=+diffie-hellman-group1-sha1 user@connection

Твою проблему не решат? Что вообще ssh с флажком -vvv говорит по ошибке коннекта?

EXL ★★★★★
()

Ты можешь разрешить в sshd_config использование отключенных алгоритмов шифрования и перезапустить ssh сервер.

Но лучше запусти ещё один ssh сервер на другом порту и в его конфиге включить отключенные алгоритмы.

kostik87 ★★★★★
()
Ответ на: комментарий от kostik87

это ж надо не на моем сайте а на каждом новом подключении указывать, а я этих людей не знаю, они сами пытаются создать конект на сайте

забыл уточнить, к сайту люди подключают свои вдс, возможности им что-то править до подключения нет. Тоесть проблема вся в том что у меня на сайте старый ssh

User01
() автор топика
Последнее исправление: User01 (всего исправлений: 1)
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.